## org.eclipse.datatools.connectivity.oda.spec.result.filter
Class AtomicExpression

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.FilterExpression
          org.eclipse.datatools.connectivity.oda.spec.result.filter.AtomicExpression

Direct Known Subclasses:
  CustomExpression

    public abstract class AtomicExpression

extends FilterExpression

The abstract base class for all basic, indivisible unit of filter expressions that can be evaluated by itself.

Since:
  3.2 (DTP 1.7)

Method Summary
`ExpressionArguments` `getArguments()` Returns the expression arguments.
`ExpressionVariable` `getVariable()` Returns the expression variable.
`boolean` `isOptionable()` Indicates whether this expression can be optional and skipped in a filter specification if all its expected argument values are null.
`void` `setArguments(ExpressionArguments args)`
`void` `setVariable(ExpressionVariable variable)`
`java.lang.String` `toString()`
`void` `validate(ValidationContext context)` Validates this expression in the specified context.

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.result.FilterExpression
`getName, getQualifiedId, isNegatable, validate, validateSyntax`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getVariable

    public ExpressionVariable getVariable()

  Returns the expression variable.

  Returns:
    may be null

### setVariable

    public void setVariable(ExpressionVariable variable)

  Parameters:
    `variable` - the expression variable to set

### getArguments

    public ExpressionArguments getArguments()

  Returns the expression arguments.

  Returns:

### setArguments

    public void setArguments(ExpressionArguments args)

  Parameters:
    `args` - the arguments to set

### isOptionable

    public boolean isOptionable()

  Indicates whether this expression can be optional and skipped in a filter specification if all its expected argument values are null. Default value is false if none is specified in the extension.

  Returns:
    true if this expression can be skipped when no argument values are available; false otherwise

### validate

    public void validate(ValidationContext context)
                  throws OdaException

  Description copied from class: `FilterExpression`
  Validates this expression in the specified context.

  Overrides:
    `validate` in class `FilterExpression`
  Parameters:
    `context` - context for validation; may be null which would limit the scope of validation
  Throws:
    `OdaException` - if validation failed. The concrete cause is defined by the subclass implementing this method.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`